Bulk validator doesn't accept new Mobile maxVersions

VERIFIED WORKSFORME

Status

addons.mozilla.org Graveyard
Compatibility Tools
P2
normal
VERIFIED WORKSFORME
7 years ago
2 years ago

People

(Reporter: jorgev, Unassigned)

Tracking

unspecified
6.2.1

Details

(Whiteboard: [mobile-bulk], URL)

(Reporter)

Description

7 years ago
We're trying to run the bulk validator for Fennec add-ons, so I did some tests on preview. The first roadblock I ran into is that all add-ons fail with the same error:

https://addons.allizom.org/en-US/developers/addon/tryagain/validation-result/57273

> Invalid maximum version number
>
> Error: The maximum version that was specified is not an acceptable version number
> for the Mozilla product that it corresponds with.
>
> Error: Version "6.*" isn't compatible with "fennec".
>
> Error: Please check the list of valid versions at: 
> https://addons.mozilla.org/en-US/firefox/pages/appversions/

This happened both for 4.0.* -> 5.* and 5.* -> 6.*.

It is worth noting that I had to include 5.*, 6.* and 7.* for Fennec because they weren't there on preview. I waited for the change to propagate to zamboni, and it should have because the bulk validator wouldn't have worked otherwise (they didn't appear in the version drop-downs). Also notable is that on the 5.* -> 6.* bump, one add-on supposedly passed. I tried logging it with the set max version link, but the log didn't appear, so I don't know what the reason of this glitch could be.
I just ran the upgrade and it says 14 passing.

oremj refreshed the db yesterday while you were trying to run this, so perhaps this was caught up in that.
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → WORKSFORME
(Reporter)

Comment 2

7 years ago
Verified on preview.
Status: RESOLVED → VERIFIED
(Assignee)

Updated

2 years ago
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.